Bug 1247652 - ext4 cannot mount old ext3 [NEEDINFO]
ext4 cannot mount old ext3
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-extfs
Fedora Extras Quality Assurance
:
: 1247640 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 10:20 EDT by John Reiser
Modified: 2015-11-23 12:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:09:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
superblock (1.00 KB, application/octet-stream)
2015-07-28 10:21 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2015-07-28 10:20:09 EDT
Description of problem: While aging-out old systems and drives, Fedora 22 cannot mount an old ext3 filesystem.


Version-Release number of selected component (if applicable):kernel-4.0.8-300.fc22.x86_64



How reproducible: Every time.


Steps to Reproduce:
1.# mount -o ro /dev/sdi1 /mnt
2.
3.

Actual results:
mount: wrong fs type, bad option, bad superblock on /dev/sdi1,
       missing codepage or helper program, or other error

       In some cases useful info is found in syslog - try
       dmesg | tail or so.



Expected results: successful mount.
Succeeds on Fedora Zod                kernel-2.6.22.5-49.fc6.x86_64.
Succeeds on Fedora Lovelock           kernel-2.6.41.10-3.fc15.x86_64.
Fails on    Fedora Schroedinger's Cat kernel-3.14.27-100.fc19.x86_64.


Additional info:

# dmesg | tail

     ### initial lines from systemd plug-in of USB2 external drive
[   52.670017] EXT4-fs (sdi1): mounting ext3 file system using the ext4 subsystem
[   52.744201] blk_update_request: critical target error, dev sdi, sector 0
[   52.744214] JBD2: recovery failed
[   52.744219] EXT4-fs (sdi1): error loading journal
[   58.721801] blk_update_request: critical target error, dev sdi, sector 585585869
[   58.721815] Aborting journal on device sdi2-8.

     ### lines from explicit command-line mount
[  149.461208] EXT4-fs (sdi1): mounting ext3 file system using the ext4 subsystem
[  149.471060] EXT4-fs (sdi1): INFO: recovery required on readonly filesystem
[  149.471062] EXT4-fs (sdi1): write access will be enabled during recovery
[  149.483448] blk_update_request: critical target error, dev sdi, sector 0
[  149.483455] JBD2: recovery failed
[  149.483458] EXT4-fs (sdi1): error loading journal

# tune2fs -l /dev/sdi1
tune2fs 1.42.12 (29-Aug-2014)
Filesystem volume name:   <none>
Last mounted on:          /run/media/jreiser/c4be2b17-59bb-4810-a905-30a218ece2be
Filesystem UUID:          c4be2b17-59bb-4810-a905-30a218ece2be
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)
Filesystem features:      has_journal ext_attr filetype needs_recovery sparse_super large_file
Filesystem flags:         signed_directory_hash 
Default mount options:    (none)
Filesystem state:         clean with errors
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              36601856
Block count:              73198156
Reserved block count:     731981
Free blocks:              19353650
Free inodes:              34493716
First block:              0
Block size:               4096
Fragment size:            4096
Blocks per group:         32768
Fragments per group:      32768
Inodes per group:         16384
Inode blocks per group:   512
Filesystem created:       Wed Aug  2 11:00:35 2084
Last mount time:          Tue Jul 28 06:39:51 2015
Last write time:          Tue Jul 28 06:39:59 2015
Mount count:              19
Maximum mount count:      36
Last checked:             Tue Sep 23 10:09:59 2008
Check interval:           15552000 (6 months)
Next check after:         Sun Mar 22 10:09:59 2009
Lifetime writes:          288 kB
Reserved blocks uid:      0 (user root)
Reserved blocks gid:      0 (group root)
First inode:              11
Inode size:	          128
Journal inode:            8
Default directory hash:   tea
Directory Hash Seed:      afd6420d-c943-6398-3a0c-2197dd9c5db5
Journal backup:           inode blocks
FS Error count:           4
First error time:         Mon Jul 27 17:51:03 2015
First error function:     ext4_journal_check_start
First error line #:       56
First error inode #:      0
First error block #:      0
Last error time:          Tue Jul 28 06:39:59 2015
Last error function:      ext4_journal_check_start
Last error line #:        56
Last error inode #:       0
Last error block #:       0

# dd if=/dev/sdi1 bs=1k skip=1 count=1 of=superblock-sdi1.dat
1+0 records in
1+0 records out
1024 bytes (1.0 kB) copied, 7.1792 s, 0.1 kB/s

# od -Ax -tx4 superblock-sdi1.dat
000000 022e8000 045cea4c 000b2b4d 01275032
000010 020e5514 00000000 00000002 00000002
000020 00008000 00008000 00004000 55b78627
000030 55b7862f 00240013 0003ef53 00000001
000040 48d922e7 00ed4e00 00000000 00000001
000050 00000000 0000000b 00000080 0000000c
000060 00000006 00000003 172bbec4 1048bb59
000070 a23005a9 bee2ec18 00000000 00000000
000080 00000000 00000000 6e75722f 64656d2f
000090 6a2f6169 73696572 632f7265 32656234
0000a0 2d373162 62623935 3138342d 39612d30
0000b0 332d3530 31326130 65636538 00656232
0000c0 00000000 00000000 00000000 00000000
*
0000e0 00000008 00000000 00000000 0d42d6af
0000f0 986343c9 97210c3a b55d9cdd 00000102
000100 00000000 00000000 d788f743 0000021a
000110 0000021b 0000021c 0000021d 0000021e
000120 0000021f 00000220 00000221 00000222
000130 00000223 00000224 00000225 00000226
000140 00000627 00000000 00000000 02000000
000150 00000000 00000000 00000000 00000000
000160 00000001 00000000 00000000 00000000
000170 00000000 00000000 00000120 00000000
000180 00000000 00000000 00000000 00000000
000190 00000000 00000004 55b6d1f7 00000000
0001a0 00000000 00000000 34747865 756f6a5f
0001b0 6c616e72 6568635f 735f6b63 74726174
0001c0 00000000 00000000 00000038 55b7862f
0001d0 00000000 00000038 00000000 00000000
0001e0 34747865 756f6a5f 6c616e72 6568635f
0001f0 735f6b63 74726174 00000000 00000000
000200 00000000 00000000 00000000 00000000
*
000400
Comment 1 John Reiser 2015-07-28 10:21:22 EDT
Created attachment 1057044 [details]
superblock

dd if=/dev/sdi1 bs=1k skip=1 count=1 of=superblock-sdi1.dat
Comment 2 John Reiser 2015-07-28 10:43:52 EDT
*** Bug 1247640 has been marked as a duplicate of this bug. ***
Comment 3 Justin M. Forbes 2015-10-20 15:18:11 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 4 Fedora Kernel Team 2015-11-23 12:09:37 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.